%define module Class-Gomor

Summary:	Class::Gomor - another class and object builder
Name:		perl-%{module}
Version:	1.01
Release:	%mkrel 1
License:	Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source0:	http://search.cpan.org/CPAN/authors/id/G/GO/GOMOR/%{module}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This module is yet another class builder. This one adds parameter checking in
new constructor, that is to check for attributes existence, and definedness.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
make test

%install
rm -rf %{buildroot}

%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes LICENSE LICENSE.Artistic README
%dir %{perl_vendorlib}/Class/Gomor
%{perl_vendorlib}/Class/Gomor/*.pm
%{perl_vendorlib}/Class/Gomor.pm
%{_mandir}/*/*



%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.01-1mdv2008.1
+ Revision: 136683
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 1.01-1mdv2008.0
+ Revision: 19799
- 1.01


* Sat Jul 29 2006 <oeriksson@mandriva.com> 1.00-1mdv2007.0
- initial Mandriva package

